"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasValidUrlProtocol = exports.isUrl = exports.isPhoneNumber = exports.isEmail = exports.clean = exports.getDomain = exports.removeSpecialCharacter = exports.getLinksFromText = exports.toTitleCase = exports.toSnakeCase = exports.toPascalCase = exports.toKebabCase = exports.toCameCase = void 0;
var stringValidation_1 = require("./stringValidation");
Object.defineProperty(exports, "isEmail", { enumerable: true, get: function () { return stringValidation_1.isEmail; } });
Object.defineProperty(exports, "isPhoneNumber", { enumerable: true, get: function () { return stringValidation_1.isPhoneNumber; } });
Object.defineProperty(exports, "isUrl", { enumerable: true, get: function () { return stringValidation_1.isUrl; } });
Object.defineProperty(exports, "hasValidUrlProtocol", { enumerable: true, get: function () { return stringValidation_1.hasValidUrlProtocol; } });
var getLinksFromText = function (text) {
    var _a;
    var geturl = new RegExp("(^|[ \t\r\n])((ftp|http|https|gopher|mailto|news|nntp|telnet|wais|file|prospero|aim|webcal):(([A-Za-z0-9$_.+!*(),;/?:@&~=-])|%[A-Fa-f0-9]{2}){2,}(#([a-zA-Z0-9][a-zA-Z0-9$_.+!*(),;/?:@&~=%-]*))?([A-Za-z0-9$_+!*();/?:~-]))", "g");
    return (_a = text.match(geturl)) === null || _a === void 0 ? void 0 : _a.map(function (item) { return item.trim(); });
};
exports.getLinksFromText = getLinksFromText;
var removeSpecialCharacter = function (str) {
    return str.replace(/[^a-zA-Z ]/g, "");
};
exports.removeSpecialCharacter = removeSpecialCharacter;
var getDomain = function (url) {
    if (!(0, stringValidation_1.isUrl)(url))
        throw new Error("Parameter is not a valid url!");
    var result;
    var match = url.match(/^(?:(https|ftp|http)?:\/\/)?(?:[^@\n]+@)?(?:www\.)?([^:\/\n\?\=]+)/im);
    if (match) {
        result = match[2];
        match = result.match(/^[^\.]+\.(.+\..+)$/);
        if (match) {
            result = match[1];
        }
    }
    return result;
};
exports.getDomain = getDomain;
var clean = removeSpecialCharacter;
exports.clean = clean;
var caseStyle_1 = require("./caseStyle");
Object.defineProperty(exports, "toCameCase", { enumerable: true, get: function () { return caseStyle_1.toCameCase; } });
Object.defineProperty(exports, "toKebabCase", { enumerable: true, get: function () { return caseStyle_1.toKebabCase; } });
Object.defineProperty(exports, "toPascalCase", { enumerable: true, get: function () { return caseStyle_1.toPascalCase; } });
Object.defineProperty(exports, "toSnakeCase", { enumerable: true, get: function () { return caseStyle_1.toSnakeCase; } });
Object.defineProperty(exports, "toTitleCase", { enumerable: true, get: function () { return caseStyle_1.toTitleCase; } });
